<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:paddingBottom="@dimen/activity_vertical_margin"
    android:paddingLeft="@dimen/activity_horizontal_margin"
    android:paddingRight="@dimen/activity_horizontal_margin"
    android:paddingTop="@dimen/activity_vertical_margin"
    tools:context="com.android_examples.com.gradientbutton.MainActivity" >

    // Linear Gradient light to dark effect Applied on This button.
    <Button
        android:id="@+id/button2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_above="@+id/button1"
        android:layout_alignLeft="@+id/button1"
        android:layout_marginBottom="16dp"
        android:background="@layout/linear_gradient_light_to_dark_effect"
        android:text="Gradient Effect Button 1"
        android:textColor="#f9fcfa" />

   //Reflected Gradient applied on this button
    <Button
        android:id="@+id/button3"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignLeft="@+id/button1"
        android:layout_alignTop="@+id/button1"
        android:layout_marginTop="58dp"
        android:background="@layout/reflected_gradient_effect"
        android:text="Gradient Effect Button 3"
        android:textColor="#f9fcfa" />

    // Linear Gradient dark to light effect Applied on This button.
    <Button
        android:id="@+id/button1"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerHorizontal="true"
        android:layout_centerVertical="true"
        android:background="@layout/linear_gradient_dark_to_light_effect"
        android:text="Gradient Effect Button 2"
        android:textColor="#f9fcfa" />

    //Radial Gradient effect applied on this button.
     <Button
         android:id="@+id/button4"
         android:layout_width="wrap_content"
         android:layout_height="wrap_content"
         android:layout_alignLeft="@+id/button3"
         android:layout_below="@+id/button3"
         android:layout_marginTop="15dp"
         android:background="@layout/radial_gradient_effect"
         android:text="Gradient Effect Button 4"
         android:textColor="#f9fcfa" />

</RelativeLayout>
